# Function process

- process<N>(options): Process<{
  assignments: {
  [collectionName: string]: {
  name: string;
  nameRecord: Resources.IdObject<"nameRecords">;
  projectName: Resources.IdObject<"projectNames">;
  resource: Resources.IdObject;
  type: string;
  }[];
  };
  project: Resources.IdObject<"projects">;
  }>

- generator function to load nameRecords and project names into Truffle DB

  #### Type Parameters

  - #### N extends Resources.NamedCollectionName

  #### Parameters

  - ##### options: {
    assignments: {
    [K in Resources.NamedCollectionName]: Resources.IdObject<K>[]
    };
    project: Resources.IdObject<"projects">;
    }

    - ##### assignments: {
      [K in Resources.NamedCollectionName]: Resources.IdObject<K>[]
      }

    - ##### project: Resources.IdObject<"projects">

  #### Returns Process<{
  assignments: {
  [collectionName: string]: {
  name: string;
  nameRecord: Resources.IdObject<"nameRecords">;
  projectName: Resources.IdObject<"projectNames">;
  resource: Resources.IdObject;
  type: string;
  }[];
  };
  project: Resources.IdObject<"projects">;
  }>

  - Defined in packages/db/src/project/assignNames/index.ts:27

Generated using TypeDoc